### Function

# AppStream ContentRatingSystem from_locale

since: 0.12.12

#### Declaration [src]

    AsContentRatingSystem
    as_content_rating_system_from_locale (
      const gchar* locale
    )

#### Description [src]

Determine the most appropriate `AsContentRatingSystem` for the given `locale`. Content rating systems are selected by territory. If no content rating system seems suitable, `AS_CONTENT_RATING_SYSTEM_IARC` is returned.

Available since: 0.12.12

#### Parameters

`locale`

  Type: `const gchar*`

  A locale, in the format described in `man 3 setlocale`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AsContentRatingSystem`

The most relevant `AsContentRatingSystem`.